CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  Take a third party risk management course for FREE
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Jenkins : Security Vulnerabilities (CVSS score between 4 and 4.99)

Press ESC to close
# CVE ID CWE ID # of Exploits Vulnerability Type(s) Publish Date Update Date Score Gained Access Level Access Complexity Authentication Conf. Integ. Avail.
1 CVE-2022-29052 522 2022-04-12 2022-04-20
4.0
None Remote Low ??? Partial None None
Jenkins Google Compute Engine Plugin 4.3.8 and earlier stores private keys unencrypted in cloud agent config.xml files on the Jenkins controller where they can be viewed by users with Extended Read permission, or access to the Jenkins controller file system.
2 CVE-2022-29051 862 2022-04-12 2022-04-20
4.0
None Remote Low ??? None Partial None
Missing permission checks in Jenkins Publish Over FTP Plugin 1.16 and earlier allow attackers with Overall/Read permission to connect to an FTP server using attacker-specified credentials.
3 CVE-2022-29049 20 2022-04-12 2022-04-20
4.0
None Remote Low ??? None Partial None
Jenkins promoted builds Plugin 873.v6149db_d64130 and earlier, except 3.10.1, does not validate the names of promotions defined in Job DSL, allowing attackers with Job/Configure permission to create a promotion with an unsafe name.
4 CVE-2022-29048 352 CSRF 2022-04-12 2022-04-20
4.3
None Remote Medium Not required None Partial None
A cross-site request forgery (CSRF) vulnerability in Jenkins Subversion Plugin 2.15.3 and earlier allows attackers to connect to an attacker-specified URL.
5 CVE-2022-28160 668 2022-03-29 2022-04-04
4.0
None Remote Low ??? Partial None None
Jenkins Tests Selector Plugin 1.3.3 and earlier allows users with Item/Configure permission to read arbitrary files on the Jenkins controller.
6 CVE-2022-28158 862 2022-03-29 2022-04-04
4.0
None Remote Low ??? Partial None None
A missing permission check in Jenkins Pipeline: Phoenix AutoTest Plugin 1.3 and earlier allows attackers with Overall/Read permission to enumerate credentials IDs of credentials stored in Jenkins.
7 CVE-2022-28157 22 Dir. Trav. 2022-03-29 2022-04-04
4.0
None Remote Low ??? None Partial None
Jenkins Pipeline: Phoenix AutoTest Plugin 1.3 and earlier allows attackers with Item/Configure permission to upload arbitrary files from the Jenkins controller via FTP to an attacker-specified FTP server.
8 CVE-2022-28156 22 Dir. Trav. 2022-03-29 2022-04-04
4.0
None Remote Low ??? Partial None None
Jenkins Pipeline: Phoenix AutoTest Plugin 1.3 and earlier allows attackers with Item/Configure permission to copy arbitrary files and directories from the Jenkins controller to the agent workspace.
9 CVE-2022-28152 352 CSRF 2022-03-29 2022-04-04
4.3
None Remote Medium Not required None Partial None
A cross-site request forgery (CSRF) vulnerability in Jenkins Job and Node ownership Plugin 0.13.0 and earlier allows attackers to restore the default ownership of a job.
10 CVE-2022-28151 862 2022-03-29 2022-04-04
4.0
None Remote Low ??? None Partial None
A missing permission check in Jenkins Job and Node ownership Plugin 0.13.0 and earlier allows attackers with Item/Read permission to change the owners and item-specific permissions of a job.
11 CVE-2022-28147 281 2022-03-29 2022-04-04
4.0
None Remote Low ??? Partial None None
A missing permission check in Jenkins Continuous Integration with Toad Edge Plugin 2.3 and earlier allows attackers with Overall/Read permission to check for the existence of an attacker-specified file path on the Jenkins controller file system.
12 CVE-2022-28146 22 Dir. Trav. 2022-03-29 2022-04-04
4.0
None Remote Low ??? Partial None None
Jenkins Continuous Integration with Toad Edge Plugin 2.3 and earlier allows attackers with Item/Configure permission to read arbitrary files on the Jenkins controller by specifying an input folder on the Jenkins controller as a parameter to its build steps.
13 CVE-2022-28144 862 2022-03-29 2022-04-04
4.0
None Remote Low ??? None Partial None
Jenkins Proxmox Plugin 0.7.0 and earlier does not perform a permission check in several HTTP endpoints, allowing attackers with Overall/Read permission to connect to an attacker-specified host using attacker-specified username and password (perform a connection test), disable SSL/TLS validation for the entire Jenkins controller JVM as part of the connection test (see CVE-2022-28142), and test a rollback with attacker-specified parameters.
14 CVE-2022-28143 352 CSRF 2022-03-29 2022-04-04
4.0
None Remote Low ??? None Partial None
A cross-site request forgery (CSRF) vulnerability in Jenkins Proxmox Plugin 0.7.0 and earlier allows attackers to connect to an attacker-specified host using attacker-specified username and password (perform a connection test), disable SSL/TLS validation for the entire Jenkins controller JVM as part of the connection test (see CVE-2022-28142), and test a rollback with attacker-specified parameters.
15 CVE-2022-28142 295 2022-03-29 2022-04-04
4.3
None Remote Medium Not required None Partial None
Jenkins Proxmox Plugin 0.6.0 and earlier disables SSL/TLS certificate validation globally for the Jenkins controller JVM when configured to ignore SSL/TLS issues.
16 CVE-2022-28141 522 2022-03-29 2022-04-04
4.0
None Remote Low ??? Partial None None
Jenkins Proxmox Plugin 0.5.0 and earlier stores the Proxmox Datacenter password unencrypted in the global config.xml file on the Jenkins controller where it can be viewed by users with access to the Jenkins controller file system.
17 CVE-2022-28139 862 2022-03-29 2022-04-04
4.0
None Remote Low ??? None Partial None
A missing permission check in Jenkins RocketChat Notifier Plugin 1.4.10 and earlier allows attackers with Overall/Read permission to connect to an attacker-specified URL using attacker-specified credentials.
18 CVE-2022-28138 352 CSRF 2022-03-29 2022-04-04
4.3
None Remote Medium Not required None Partial None
A cross-site request forgery (CSRF) vulnerability in Jenkins RocketChat Notifier Plugin 1.4.10 and earlier allows attackers to connect to an attacker-specified URL using attacker-specified credential.
19 CVE-2022-28137 732 2022-03-29 2022-04-04
4.0
None Remote Low ??? None Partial None
A missing permission check in Jenkins JiraTestResultReporter Plugin 165.v817928553942 and earlier allows attackers with Overall/Read permission to connect to an attacker-specified URL using attacker-specified credentials.
20 CVE-2022-28135 2022-03-29 2022-04-04
4.0
None Remote Low ??? Partial None None
Jenkins instant-messaging Plugin 1.41 and earlier stores passwords for group chats unencrypted in the global configuration file of plugins based on Jenkins instant-messaging Plugin on the Jenkins controller where they can be viewed by users with access to the Jenkins controller file system.
21 CVE-2022-27218 2022-03-15 2022-03-25
4.0
None Remote Low ??? Partial None None
Jenkins incapptic connect uploader Plugin 1.15 and earlier stores tokens unencrypted in job config.xml files on the Jenkins controller where they can be viewed by users with Extended Read permission, or access to the Jenkins controller file system.
22 CVE-2022-27217 522 2022-03-15 2022-03-25
4.0
None Remote Low ??? Partial None None
Jenkins Vmware vRealize CodeStream Plugin 1.2 and earlier stores passwords unencrypted in job config.xml files on the Jenkins controller where they can be viewed by users with Extended Read permission, or access to the Jenkins controller file system.
23 CVE-2022-27216 522 2022-03-15 2022-03-25
4.0
None Remote Low ??? Partial None None
Jenkins dbCharts Plugin 0.5.2 and earlier stores JDBC connection passwords unencrypted in its global configuration file on the Jenkins controller where they can be viewed by users with access to the Jenkins controller file system.
24 CVE-2022-27215 281 2022-03-15 2022-03-25
4.0
None Remote Low ??? None Partial None
A missing permission check in Jenkins Release Helper Plugin 1.3.3 and earlier allows attackers with Overall/Read permission to connect to an attacker-specified URL using attacker-specified credentials.
25 CVE-2022-27214 352 CSRF 2022-03-15 2022-03-22
4.0
None Remote Low ??? None Partial None
A cross-site request forgery (CSRF) vulnerability in Jenkins Release Helper Plugin 1.3.3 and earlier allows attackers to connect to an attacker-specified URL using attacker-specified credentials.
26 CVE-2022-27211 862 2022-03-15 2022-03-24
4.0
None Remote Low ??? Partial None None
A missing/An incorrect permission check in Jenkins Kubernetes Continuous Deploy Plugin 2.3.1 and earlier allows attackers with Overall/Read permission to connect to an attacker-specified SSH server using attacker-specified credentials IDs obtained through another method, capturing credentials stored in Jenkins.
27 CVE-2022-27210 352 CSRF 2022-03-15 2022-03-22
4.3
None Remote Medium Not required Partial None None
A cross-site request forgery (CSRF) vulnerability in Jenkins Kubernetes Continuous Deploy Plugin 2.3.1 and earlier allows attackers to connect to an attacker-specified SSH server using attacker-specified credentials IDs obtained through another method, capturing credentials stored in Jenkins.
28 CVE-2022-27208 22 Dir. Trav. 2022-03-15 2022-03-22
4.0
None Remote Low ??? Partial None None
Jenkins Kubernetes Continuous Deploy Plugin 2.3.1 and earlier allows users with Credentials/Create permission to read arbitrary files on the Jenkins controller.
29 CVE-2022-27206 311 2022-03-15 2022-03-23
4.0
None Remote Low ??? Partial None None
Jenkins GitLab Authentication Plugin 1.13 and earlier stores the GitLab client secret unencrypted in the global config.xml file on the Jenkins controller where it can be viewed by users with access to the Jenkins controller file system.
30 CVE-2022-27205 276 2022-03-15 2022-03-23
4.0
None Remote Low ??? None Partial None
A missing permission check in Jenkins Extended Choice Parameter Plugin 346.vd87693c5a_86c and earlier allows attackers with Overall/Read permission to connect to an attacker-specified URL.
31 CVE-2022-27203 22 Dir. Trav. 2022-03-15 2022-03-23
4.0
None Remote Low ??? Partial None None
Jenkins Extended Choice Parameter Plugin 346.vd87693c5a_86c and earlier allows attackers with Item/Configure permission to read values from arbitrary JSON and Java properties files on the Jenkins controller.
32 CVE-2022-27199 276 2022-03-15 2022-03-22
4.0
None Remote Low ??? None Partial None
A missing permission check in Jenkins CloudBees AWS Credentials Plugin 189.v3551d5642995 and earlier allows attackers with Overall/Read permission to connect to an AWS service using an attacker-specified token.
33 CVE-2022-25210 662 2022-02-15 2022-02-23
4.0
None Remote Low ??? Partial None None
Jenkins Convertigo Mobile Platform Plugin 1.1 and earlier uses static fields to store job configuration information, allowing attackers with Item/Configure permission to capture passwords of the jobs that will be configured.
34 CVE-2022-25201 862 2022-02-15 2022-02-23
4.0
None Remote Low ??? Partial None None
Missing permission checks in Jenkins Checkmarx Plugin 2022.1.2 and earlier allow attackers with Overall/Read permission to connect to an attacker-specified webserver using attacker-specified credentials IDs obtained through another method, capturing credentials stored in Jenkins.
35 CVE-2022-25197 2022-02-15 2022-02-23
4.0
None Remote Low ??? Partial None None
Jenkins HashiCorp Vault Plugin 336.v182c0fbaaeb7 and earlier implements functionality that allows agent processes to read arbitrary files on the Jenkins controller file system.
36 CVE-2022-25196 601 2022-02-15 2022-02-23
4.9
None Remote Medium ??? Partial Partial None
Jenkins GitLab Authentication Plugin 1.13 and earlier records the HTTP Referer header as part of the URL query parameters when the authentication process starts, allowing attackers with access to Jenkins to craft a URL that will redirect users to an attacker-specified URL after logging in.
37 CVE-2022-25195 862 2022-02-15 2022-02-23
4.0
None Remote Low ??? None Partial None
A missing permission check in Jenkins autonomiq Plugin 1.15 and earlier allows attackers with Overall/Read permission to connect to an attacker-specified URL using attacker-specified credentials.
38 CVE-2022-25193 862 2022-02-15 2022-02-23
4.0
None Remote Low ??? Partial None None
Missing permission checks in Jenkins Snow Commander Plugin 2.0 and earlier allow attackers with Overall/Read permission to connect to an attacker-specified webserver using attacker-specified credentials IDs obtained through another method, capturing credentials stored in Jenkins.
39 CVE-2022-25190 862 2022-02-15 2022-02-23
4.0
None Remote Low ??? Partial None None
A missing permission check in Jenkins Conjur Secrets Plugin 1.0.11 and earlier allows attackers with Overall/Read permission to enumerate credentials IDs of credentials stored in Jenkins.
40 CVE-2022-25188 22 Dir. Trav. 2022-02-15 2022-02-23
4.0
None Remote Low ??? None Partial None
Jenkins Fortify Plugin 20.2.34 and earlier does not sanitize the appName and appVersion parameters of its Pipeline steps, allowing attackers with Item/Configure permission to write or overwrite .xml files on the Jenkins controller file system with content not controllable by the attacker.
41 CVE-2022-25187 522 2022-02-15 2022-02-23
4.0
None Remote Low ??? Partial None None
Jenkins Support Core Plugin 2.79 and earlier does not redact some sensitive information in the support bundle.
42 CVE-2022-25186 2022-02-15 2022-02-23
4.0
None Remote Low ??? Partial None None
Jenkins HashiCorp Vault Plugin 3.8.0 and earlier implements functionality that allows agent processes to retrieve any Vault secrets for use on the agent, allowing attackers able to control agent processes to obtain Vault secrets for an attacker-specified path and key.
43 CVE-2022-25184 522 2022-02-15 2022-02-23
4.0
None Remote Low ??? Partial None None
Jenkins Pipeline: Build Step Plugin 2.15 and earlier reveals password parameter default values when generating a pipeline script using the Pipeline Snippet Generator, allowing attackers with Item/Read permission to retrieve the default password parameter value from jobs.
44 CVE-2022-25180 522 2022-02-15 2022-02-24
4.0
None Remote Low ??? Partial None None
Jenkins Pipeline: Groovy Plugin 2648.va9433432b33c and earlier includes password parameters from the original build in replayed builds, allowing attackers with Run/Replay permission to obtain the values of password parameters passed to previous builds of a Pipeline.
45 CVE-2022-25179 59 2022-02-15 2022-02-24
4.0
None Remote Low ??? Partial None None
Jenkins Pipeline: Multibranch Plugin 706.vd43c65dec013 and earlier follows symbolic links to locations outside of the checkout directory for the configured SCM when reading files using the readTrusted step, allowing attackers able to configure Pipelines permission to read arbitrary files on the Jenkins controller file system.
46 CVE-2022-25178 22 Dir. Trav. 2022-02-15 2022-02-24
4.0
None Remote Low ??? Partial None None
Jenkins Pipeline: Shared Groovy Libraries Plugin 552.vd9cc05b8a2e1 and earlier does not restrict the names of resources passed to the libraryResource step, allowing attackers able to configure Pipelines permission to read arbitrary files on the Jenkins controller file system.
47 CVE-2022-25177 59 2022-02-15 2022-02-24
4.0
None Remote Low ??? Partial None None
Jenkins Pipeline: Shared Groovy Libraries Plugin 552.vd9cc05b8a2e1 and earlier follows symbolic links to locations outside of the expected Pipeline library when reading files using the libraryResource step, allowing attackers able to configure Pipelines to read arbitrary files on the Jenkins controller file system.
48 CVE-2022-25176 59 2022-02-15 2022-02-24
4.0
None Remote Low ??? Partial None None
Jenkins Pipeline: Groovy Plugin 2648.va9433432b33c and earlier follows symbolic links to locations outside of the checkout directory for the configured SCM when reading the script file (typically Jenkinsfile) for Pipelines, allowing attackers able to configure Pipelines to read arbitrary files on the Jenkins controller file system.
49 CVE-2022-23113 22 Dir. Trav. 2022-01-12 2022-01-19
4.0
None Remote Low ??? Partial None None
Jenkins Publish Over SSH Plugin 1.22 and earlier performs a validation of the file name specifying whether it is present or not, resulting in a path traversal vulnerability allowing attackers with Item/Configure permission to discover the name of the Jenkins controller files.
50 CVE-2022-23112 862 2022-01-12 2022-01-18
4.0
None Remote Low ??? None Partial None
A missing permission check in Jenkins Publish Over SSH Plugin 1.22 and earlier allows attackers with Overall/Read access to connect to an attacker-specified SSH server using attacker-specified credentials.
Total number of vulnerabilities : 499   Page : 1 (This Page)2 3 4 5 6 7 8 9 10
CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.